geo_domain_rep< T, M >
Inheritance diagram for geo_domain_rep< T, M >:

## Public Types

typedef geo_rep< T, M > | base
typedef base::size_type | size_type

## Public Member Functions

| geo_domain_rep (const geo_domain_rep< T, M > &)
| geo_domain_rep (const geo_domain_indirect_rep< T, M > &dom)
geo_abstract_rep< T, M > * | clone () const
size_type | variant () const
bool | is_broken () const
const geo_element & | bgd2dom_geo_element (const geo_element &bgd_K) const
const geo_element & | dom2bgd_geo_element (const geo_element &dom_K) const
size_type | n_domain_indirect () const
const domain_indirect_basic< M > & | get_domain_indirect (size_type i) const
const domain_indirect_basic< M > & | get_domain_indirect (const std::string &name) const
const geo_basic< T, M > & | get_background_geo () const
geo_basic< T, M > | get_background_domain () const
size_type | bgd_ie2dom_ie (size_type bgd_ie) const
size_type | dis_bgd_ie2dis_dom_ie (size_type dis_bgd_ie) const

## Protected Attributes

geo_domain_indirect_rep< T, M > | _dom
std::map< size_type, size_type > | _bgd_ie2dom_ie
std::map< size_type, size_type > | _dis_bgd_ie2dis_dom_ie

## Detailed Description

### template<class T, class M>
class rheolef::geo_domain_rep< T, M >

Definition at line 53 of file geo_domain.h.

## Member Typedef Documentation

## base

typedef geo_rep<T,M> base

Definition at line 56 of file geo_domain.h.

## size_type

typedef base::size_type size_type

Definition at line 57 of file geo_domain.h.

## Constructor & Destructor Documentation

## geo_domain_rep() [1/2]

geo_domain_rep | ( | const geo_domain_rep< T, M > & | x | ) |

Definition at line 30 of file geo_domain.cc.

## geo_domain_rep() [2/2]

geo_domain_rep | ( | const geo_domain_indirect_rep< T, M > & | dom | ) |

Definition at line 47 of file geo_domain.cc.

## Member Function Documentation

## clone()

geo_abstract_rep< T, M > * clone

Definition at line 40 of file geo_domain.cc.

## variant()

size_type variant | ( |  | ) | const

Definition at line 67 of file geo_domain.h.

## is_broken()

bool is_broken | ( |  | ) | const

Definition at line 68 of file geo_domain.h.

## bgd2dom_geo_element()

const geo_element & bgd2dom_geo_element | ( | const geo_element & | bgd_K | ) | const

Definition at line 93 of file geo_domain.cc.

## dom2bgd_geo_element()

const geo_element & dom2bgd_geo_element | ( | const geo_element & | dom_K | ) | const

Definition at line 112 of file geo_domain.cc.

## n_domain_indirect()

size_type n_domain_indirect | ( |  | ) | const

Definition at line 72 of file geo_domain.h.

## get_domain_indirect() [1/2]

const domain_indirect_basic< M > & get_domain_indirect | ( | size_type | i | ) | const

Definition at line 105 of file geo_domain.h.

## get_domain_indirect() [2/2]

const domain_indirect_basic< M > & get_domain_indirect | ( | const std::string & | name | ) | const

Definition at line 112 of file geo_domain.h.

## get_background_geo()

const geo_basic<T,M>& get_background_geo | ( |  | ) | const

Definition at line 78 of file geo_domain.h.

## get_background_domain()

geo_basic< T, M > get_background_domain

Definition at line 96 of file geo_domain.h.

## bgd_ie2dom_ie()

geo_domain_rep< T, M >::size_type bgd_ie2dom_ie | ( | size_type | bgd_ie | ) | const

Definition at line 64 of file geo_domain.cc.

## dis_bgd_ie2dis_dom_ie()

geo_domain_rep< T, M >::size_type dis_bgd_ie2dis_dom_ie | ( | size_type | dis_bgd_ie | ) | const

Definition at line 75 of file geo_domain.cc.

## Member Data Documentation

## _dom

geo_domain_indirect_rep<T,M> _dom

protected

Definition at line 86 of file geo_domain.h.

## _bgd_ie2dom_ie

std::map<size_type,size_type> _bgd_ie2dom_ie

protected

Definition at line 87 of file geo_domain.h.

## _dis_bgd_ie2dis_dom_ie

std::map<size_type,size_type> _dis_bgd_ie2dis_dom_ie

protected

Definition at line 88 of file geo_domain.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/geo_domain.h
- /build/rheolef-bzr82u/rheolef-7.1/main/lib/geo_domain.cc